<template>
    <v-container grid-list-xl>
        <v-layout row justify-center align-center>
            <v-flex>
                <Slide>
                    <img id="logo" src="http://digitalwritingsu13.wdfiles.com/local--files/wiki:effective-ethos-in-the-movie-blog/popcorn%2520movie_7001c.jpg" alt="movie"/>
                    <router-link to="/"><span>Home</span></router-link>
                    <router-link to="/about"><span>About</span></router-link>
                    <router-link to="/author"><span>Author</span></router-link>
                    <router-link to="/addnew"><span>New</span></router-link>
                    <span class="msg">Movie number : {{movies.length}}</span>
                </Slide>
            </v-flex>
        </v-layout>
        <v-flex>
            <div id='app'>
                <main id="page-wrap">
                    <router-view></router-view>
                </main>
            </div>
        </v-flex>
    </v-container>
</template>

<script>

import {db} from '../firebase';

export default {
    data(){
        return{
        }
    },
     computed:{
        movies : function(){
            var result = [];
            const ref = db.collection('movies').onSnapshot(function(snapchot){
                snapchot.forEach((doc)=>{
                    result.push({
                        id: doc.id,
                        title: doc.data().title,
                        year: doc.data().year,
                        note: doc.data().note,
                        realisator: doc.data().realisator,
                        synopsys: doc.data().synopsys,
                        display: doc.data().display,
                        img: doc.data().img
                    })
                })
            })
            return result
        }
    }
}
</script>
